# Contributing to symbol-explorer

First off, thank you for considering contributing to symbol-explorer.

The symbol-explorer is an open source project and we love to receive contributions from our community — you!

Following these guidelines helps to communicate that you respect the time of
the developers managing and developing this open source project. In return,
they should reciprocate that respect in addressing your issue, assessing changes,
and help you finalize your pull requests.

## Error reports

If you think you have found an error in the symbol-explorer, first make sure that you
are testing against the latest version of symbol-explorer - your issue may already
have been fixed. If not, search our issues list on GitHub in case a similar
issue has already been opened.

It is very helpful if you can prepare a reproduction of the error. It makes it easier to
find the problem and to fix it.

Please, take into consideration the next template to report your issue:

    **Describe the error**
    A clear and concise description of what the error is.

    **To Reproduce**
    Steps to reproduce the behavior:
    1. Go to '...'
    2. Click on '....'
    3. Scroll down to '....'
    4. See error

    **Expected behavior**
    A clear and concise description of what you expected to happen.

    **Screenshots**
    If applicable, add screenshots to help explain your problem.

Open a new issue [here][github-issues].

## Contributing code and documentation changes

To expand and improve the symbol-explorer, please find or open an issue about it first.

Talk about what you would like to do. It may be that somebody is already working on it,
or that there are particular issues that you should know about before implementing the change.

We enjoy working with contributors to get their pull-requests accepted.

### Contributing License Notice

When you contribute code, you affirm that the contribution is your original work and that you license the work to the project under the project's open source license.

Whether or not you state this explicitly, by submitting any copyrighted material via pull request, email, or other means you agree to license the material under the project's open source license and warrant that you have the legal authority to do so.

### Submitting your changes

Once your changes and tests are ready to submit for review:

1. Test your changes.

    ``npm run dev``

    Make sure that nothing is broken.

2. Submit a pull request.

    Push your local changes to your forked copy of the repository and [submit a pull request](https://help.github.com/articles/about-pull-requests/). In the pull request, choose a title which sums up the changes that you have made, and in the body provide more details about what your changes do. Also mention the number of the issue where discussion has taken place, eg "Closes #123".

Then sit back and wait. There will probably be a discussion about the pull request and, if any changes are needed, we would love to work with you to get your pull request merged into symbol-explorer.

*CONTRIBUTING.md is based on [CONTRIBUTING-template.md](https://github.com/nayafia/contributing-template/blob/master/CONTRIBUTING-template.md)* , [elasticsearch/CONTRIBUTING](https://github.com/elastic/elasticsearch/blob/master/CONTRIBUTING.md) and [spark/CONTRIBUTING](https://github.com/apache/spark/blob/master/CONTRIBUTING.md)

[pull-request]: https://help.github.com/articles/about-pull-requests/
[github-issues]: https://github.com/nemfoundation/symbol-explorer/issues
